Subject: [bug#50722] [PATCH] gnu: Update amsynth to 1.12.2

From: Thomas Albers <[email-masked]>
Date: Sun, 26 Sep 2021 22:41:50 +0200

Hello Maxime,

you are completely right. I wanted to avoid making more modification
than needed to get the program to work because of my inexperience
submitting patches. I will take it into account now that I have to look
into an error I missed.

Greetings,
Thomas.

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Thomas Albers via Guix-patches via schreef op di 21-09-2021 om 16:17 [+0200]:
>>
>> [...]
>>      (arguments
>>       `(#:phases
>> @@ -2372,13 +2373,12 @@ special variant of additive synthesis.")
>>             (lambda _
>>               (substitute* "src/GUI/editor_pane.c"
>>                 (("/usr/bin/unzip") (which "unzip")))
>
> Needs to be (string-append (assoc-ref inputs "unzip") "/bin/unzip")
> for cross-compilation.
>
>> -             (substitute* "src/GUI/GUI.cc"
>> +             (substitute* "src/GUI/MainMenu.cpp"
>>                 (("/usr/bin/which") (which "which")))
>
> Likewise.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]